# Class LinesLayer

java.lang.Object
com.codename1.maps.layers.AbstractLayer
com.codename1.maps.layers.LinesLayer

All Implemented Interfaces:
  `Layer`

Direct Known Subclasses:
  `ArrowLinesLayer`

public class LinesLayer extends AbstractLayer
This is a Lines Layer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `_lineColor`

  ### Fields inherited from class AbstractLayer

  `name, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinesLayer()`
  Constructor with default projection Mercator.
  `LinesLayer(Projection p, String name)`
  Constructor with custom projection and layer name.
  `LinesLayer(String name)`
  Constructor with default projection Mercator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addLineSegment(Coord[] coords)`
  Adds a Line segment to the Layer
  `BoundingBox`
  `boundingBox()`
  The bounding box of this Layer
  `void`
  `lineColor(int rgb)`
  Sets the color of the Lines
  `void`
  `paint(Graphics g, Tile screenTile)`
  Paints the Layer on the given Graphics
  `protected void`
  `paintSegment(Graphics g, Coord[] segment, Tile tile)`
  Paint a segment.

  ### Methods inherited from class AbstractLayer

  `getName, getProjection`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _lineColor

    protected int _lineColor

- ## Constructor Details

  - ### LinesLayer

    public LinesLayer()
    Constructor with default projection Mercator.

  - ### LinesLayer

    public LinesLayer(String name)
    Constructor with default projection Mercator.

  - ### LinesLayer

    public LinesLayer(Projection p, String name)
    Constructor with custom projection and layer name.

- ## Method Details

  - ### paint

    public void paint(Graphics g, Tile screenTile)

    Paints the Layer on the given Graphics

    ###### Parameters

    - `g`: a Graphics Object to paint on

    - `screenTile`: the screen tile

  - ### paintSegment

    protected void paintSegment(Graphics g, Coord[] segment, Tile tile)

    Paint a segment.

    ###### Parameters

    - `g`: a Graphics Object to paint on

    - `segment`: array of Coord to draw a Line.

    - `tile`

  - ### addLineSegment

    public void addLineSegment(Coord[] coords)

    Adds a Line segment to the Layer

    ###### Parameters

    - `coords`

  - ### lineColor

    public void lineColor(int rgb)

    Sets the color of the Lines

    ###### Parameters

    - `rgb`

  - ### boundingBox

    public BoundingBox boundingBox()

    The bounding box of this Layer

    ###### Returns

    the Layer bounding box

    Specified by:
      `boundingBox` in interface `Layer`
    Specified by:
      `boundingBox` in class `AbstractLayer`